Agents
Read inherited Agent plugin attachments
Returns active tenant default plugin IDs and display names for the Agent selector, without exposing instance configuration, tool schemas or credentials.
GET
/
api
/
v1
/
agents
/
pluginDefaults
Read inherited Agent plugin attachments
curl --request GET \
--url https://api.revoengine.com/api/v1/agents/pluginDefaults \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/agents/pluginDefaults', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/agents/pluginDefaults"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"pluginIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"plugins": [
{
"agentPluginId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}Authorizations
Bearer JWT token or API Key (sk-*).
Response
200 - application/json
Last modified on October 5, 2026
⌘I
Read inherited Agent plugin attachments
curl --request GET \
--url https://api.revoengine.com/api/v1/agents/pluginDefaults \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.revoengine.com/api/v1/agents/pluginDefaults', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/agents/pluginDefaults"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"pluginIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"plugins": [
{
"agentPluginId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
]
}
